Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.entities
Class NoSpace

    java.lang.Object
      ipipan.spejd.entities.Entity
          ipipan.spejd.entities.NoSpace

    public class NoSpace

extends Entity

A representation of special ns (no space) entity. Ns should be used if two subsequent segments are not separated by space.

Field Summary

Fields inherited from class ipipan.spejd.entities.Entity
`ARRAY, GROUP, NOSPACE, NULL, SEGMENT, TOKEN, type, WORD`

Constructor Summary
`NoSpace(Config conf)`

Method Summary
`void` | `printXML(java.io.PrintStream out)` Prints the XML (XCES) representation of entity on the given PrintStream.
`java.lang.String` | `toTxt()` Returns the representation of entity in the internal text format.

Methods inherited from class ipipan.spejd.entities.Entity
`add, concatAttr, concatAttr, delete, getAttr, getAttrValues, getCommonValues, getGroupType, getId, getInterpretationArray, getInterpretations, getReplacement, getSemHead, getSynHead, setReplacement, setRule, unify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoSpace

    public NoSpace(Config conf)

Method Detail

### toTxt

    public java.lang.String toTxt()

  Description copied from class: `Entity`
  Returns the representation of entity in the internal text format.

  Overrides:
    `toTxt` in class `Entity`

### printXML

    public void printXML(java.io.PrintStream out)

  Description copied from class: `Entity`
  Prints the XML (XCES) representation of entity on the given PrintStream.

  Specified by:
    `printXML` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD